/*Author: Carolin Schulz*/
/*Student ID: 22178163*/

/*****************************************************************/

@media (min-width: 1200px) { /*screen size > 1200px*/
    .centered {
      font-size: 48px;
    }
    .searchbar {
        width: 500px;
        font-size: 36px;
    }
    .filter-button{
        font-size: 24px;
    }
    .header {
        font-size: 50px; 
    }
    .ad {
        font-size: 30px;
    }
    .slogan{
        font-size: 35px;
    }
    .favourite, .car {
        font-size: 30px;
    }
    .price {
        font-size: 40px;
    }
    .spec_img {
        height: 40px;
    }
    .spec_info {
        font-size: 24px;
    }
    .attribute {
        font-size: 19px;
    }
    .learn-button, .contact-button {
        font-size: 25px;
        padding-left: 60px;
        padding-right: 60px;
        padding-top: 10px;
        padding-bottom: 8px;
    }
    .car_img {
        width: 700px;
        margin-top: 30px;
    }
    .quality_description {
        font-size: 30px;
    }
    .interior {
        width: 700px;
        margin-top: 15px;
    }
}

/*****************************************************************/

@media (max-width: 1500px) { /*screen size < 1500px*/
    .centered {
        font-size: 43px;
      }
    .car_img {
        width: 500px;
        margin-top: 100px;
        margin-left: 30px;
    }
    .interior {
        width: 500px;
    }
}

/*****************************************************************/

@media (max-width: 1200px) { /*screen size < 1200px*/
    .searchbar {
        font-size: 32px;
    }
    .filter-button{
        font-size: 20px;
    }
    .header{
        font-size: 40px;
    }
    .ad {
        font-size: 25px;
    }
    .slogan {
        font-size: 30px;
    }
    .favourite, .car {
        font-size: 25px;
    }
    .price {
        font-size: 35px;
    }
    .spec_img {
        height: 35px;
    }
    .spec_info {
        font-size: 22px;
    }
    .attribute {
        font-size: 18px;
    }
    .learn-button, .contact-button {
        font-size: 20px;
        padding-left: 35px;
        padding-right: 35px;
        padding-top: 10px;
        padding-bottom: 8px;
    }
    .car_img {
        width: 350px;
        margin-top: 170px;
    }
    #mini_learn, #mini_contact {
        font-size: 19px;
        padding-left: 30px;
        padding-right: 30px;
        padding-top: 10px;
        padding-bottom: 8px;
    }
    .quality_description {
        font-size: 22px;
    }
    .interior {
        width: 370px;
        margin-top: 15px;
    }
}

/*****************************************************************/

@media (max-width: 850px) { /*screen size < 800px*/
    .centered {
      font-size: 32px;
    }
    .searchbar{
        width: 200px;
        font-size: 25px;
    }
    .filter-button{
        font-size: 20px;
    }
    .header {
        font-size: 30px;
        margin-left: 15px;
        margin-right: 15px;
    }
    .ad {
        font-size: 20px;
        margin-left: 20px;
        margin-right: 20px;
    }
    .slogan {
        font-size: 25px;
    }
    .favourite, .car {
        font-size: 23px;
    }
    .price {
        font-size: 30px;
    }
    .spec_img {
        height: 30px;
    }
    .spec_info {
        font-size: 20px;
    }
    .attribute_grid {
        margin-right: 25px;
    }
    .attribute {
        font-size: 17px;
    }
    .learn-button, .contact-button {
        font-size: 19px;
        padding-left: 35px;
        padding-right: 35px;
        padding-top: 10px;
        padding-bottom: 8px;
    }
    .car_img {
        display: none;
    }
    .quality_description {
        font-size: 20px;
    }
    .interior {
        display: none;
    }
}
